"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useControlledStateSetter = void 0;
const react_1 = require("react");
const DatatableWrapper_1 = require("../components/DatatableWrapper");
function useControlledStateSetter(controlledProps) {
    // Make this only run once.
    const { setIsControlled } = (0, DatatableWrapper_1.useDatatableWrapper)();
    const ref = (0, react_1.useRef)(controlledProps);
    (0, react_1.useEffect)(() => {
        if (ref.current !== undefined) {
            setIsControlled(true);
        }
    }, []);
}
exports.useControlledStateSetter = useControlledStateSetter;
